"use client";
import { sqrt as c } from "../math.js";
const o = -0.5, s = c(3) / 2, m = 1 / c(12), f = (m / 2 + 1) * 3, u = {
  draw(l, d) {
    const y = c(d / f), i = y / 2, e = y * m, n = i, T = y * m + y, r = -n, a = T;
    l.moveTo(i, e), l.lineTo(n, T), l.lineTo(r, a), l.lineTo(o * i - s * e, s * i + o * e), l.lineTo(o * n - s * T, s * n + o * T), l.lineTo(o * r - s * a, s * r + o * a), l.lineTo(o * i + s * e, o * e - s * i), l.lineTo(o * n + s * T, o * T - s * n), l.lineTo(o * r + s * a, o * a - s * r), l.closePath();
  }
};
export {
  u as default
};
